InterQJournalProtocolProtos.InterQJournalProtocolService (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: InterQJournalProtocolProtos, class: InterQJournalProtocolService

Package org.apache.hadoop.hdfs.qjournal.protocol

# Class InterQJournalProtocolProtos.InterQJournalProtocolService

java.lang.Object
org.apache.hadoop.hdfs.qjournal.protocol.InterQJournalProtocolProtos.InterQJournalProtocolService

All Implemented Interfaces:
  `org.apache.hadoop.thirdparty.protobuf.Service`

Direct Known Subclasses:
  `InterQJournalProtocolProtos.InterQJournalProtocolService.Stub`

Enclosing class:
  InterQJournalProtocolProtos

public abstract static class InterQJournalProtocolProtos.InterQJournalProtocolService extends Object implements org.apache.hadoop.thirdparty.protobuf.Service
Protobuf service `hadoop.hdfs.qjournal.InterQJournalProtocolService`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface`
  `static interface`
  `InterQJournalProtocolProtos.InterQJournalProtocolService.Interface`
  `static final class`
  `InterQJournalProtocolProtos.InterQJournalProtocolService.Stub`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InterQJournalProtocolService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `callMethod(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method, org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.thirdparty.protobuf.Message request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<org.apache.hadoop.thirdparty.protobuf.Message> done)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor`
  `getDescriptorForType()`
  `abstract void`
  `getEditLogManifestFromJournal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)`
  `rpc getEditLogManifestFromJournal(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`
  `final org.apache.hadoop.thirdparty.protobuf.Message`
  `getRequestPrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)`
  `final org.apache.hadoop.thirdparty.protobuf.Message`
  `getResponsePrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)`
  `abstract void`
  `getStorageInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, InterQJournalProtocolProtos.GetStorageInfoRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto> done)`
  `rpc getStorageInfo(.hadoop.hdfs.qjournal.GetStorageInfoRequestProto) returns (.hadoop.hdfs.StorageInfoProto);`
  `static InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface`
  `newBlockingStub(org.apache.hadoop.thirdparty.protobuf.BlockingRpcChannel channel)`
  `static org.apache.hadoop.thirdparty.protobuf.BlockingService`
  `newReflectiveBlockingService(InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface impl)`
  `static org.apache.hadoop.thirdparty.protobuf.Service`
  `newReflectiveService(InterQJournalProtocolProtos.InterQJournalProtocolService.Interface impl)`
  `static InterQJournalProtocolProtos.InterQJournalProtocolService.Stub`
  `newStub(org.apache.hadoop.thirdparty.protobuf.RpcChannel channel)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InterQJournalProtocolService

    protected InterQJournalProtocolService()

- ## Method Details

  - ### newReflectiveService

    public static org.apache.hadoop.thirdparty.protobuf.Service newReflectiveService(InterQJournalProtocolProtos.InterQJournalProtocolService.Interface impl)

  - ### newReflectiveBlockingService

    public static org.apache.hadoop.thirdparty.protobuf.BlockingService newReflectiveBlockingService(InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface impl)

  - ### getEditLogManifestFromJournal

    public abstract void getEditLogManifestFromJournal(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<QJournalProtocolProtos.GetEditLogManifestResponseProto> done)
    `rpc getEditLogManifestFromJournal(.hadoop.hdfs.qjournal.GetEditLogManifestRequestProto) returns (.hadoop.hdfs.qjournal.GetEditLogManifestResponseProto);`

  - ### getStorageInfo

    public abstract void getStorageInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, InterQJournalProtocolProtos.GetStorageInfoRequestProto request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto> done)
    `rpc getStorageInfo(.hadoop.hdfs.qjournal.GetStorageInfoRequestProto) returns (.hadoop.hdfs.StorageInfoProto);`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor getDescriptor()

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.ServiceDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### callMethod

    public final void callMethod(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method, org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.thirdparty.protobuf.Message request, org.apache.hadoop.thirdparty.protobuf.RpcCallback<org.apache.hadoop.thirdparty.protobuf.Message> done)
    Specified by:
      `callMethod` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### getRequestPrototype

    public final org.apache.hadoop.thirdparty.protobuf.Message getRequestPrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)
    Specified by:
      `getRequestPrototype` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### getResponsePrototype

    public final org.apache.hadoop.thirdparty.protobuf.Message getResponsePrototype(org.apache.hadoop.thirdparty.protobuf.Descriptors.MethodDescriptor method)
    Specified by:
      `getResponsePrototype` in interface `org.apache.hadoop.thirdparty.protobuf.Service`

  - ### newStub

    public static InterQJournalProtocolProtos.InterQJournalProtocolService.Stub newStub(org.apache.hadoop.thirdparty.protobuf.RpcChannel channel)

  - ### newBlockingStub

    public static InterQJournalProtocolProtos.InterQJournalProtocolService.BlockingInterface newBlockingStub(org.apache.hadoop.thirdparty.protobuf.BlockingRpcChannel channel)